
package com.ejie.ad74a.ws.client.documentosWeb;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para tamano.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="tamano"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="A2"/&gt;
 *     &lt;enumeration value="A3"/&gt;
 *     &lt;enumeration value="A4"/&gt;
 *     &lt;enumeration value="A5"/&gt;
 *     &lt;enumeration value="A6"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "tamano")
@XmlEnum
public enum Tamano {

    @XmlEnumValue("A2")
    A_2("A2"),
    @XmlEnumValue("A3")
    A_3("A3"),
    @XmlEnumValue("A4")
    A_4("A4"),
    @XmlEnumValue("A5")
    A_5("A5"),
    @XmlEnumValue("A6")
    A_6("A6");
    private final String value;

    Tamano(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static Tamano fromValue(String v) {
        for (Tamano c: Tamano.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
